## watcher-tempest-plugin 2.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.32.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.5 # BSD

=== debian/changelog ===
watcher-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 23:21:55 +0200

watcher-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958543).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/watcher-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## watcher-tempest-plugin 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
os-traits>=0.15.0 # Apache-2.0

=== debian/changelog ===
watcher-tempest-plugin (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:35:37 +0200

watcher-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 15:05:11 +0200

=== debian/control ===
Source: watcher-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-doc8,
 python3-hacking,
 python3-os-traits (>= 0.15.0),
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-six,
 python3-testtools,
 subunit,
 tempest,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/watcher-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/watcher-tempest-plugin.git
Homepage: https://opendev.org/openstack/watcher-tempest-plugin

Package: watcher-tempest-plugin
Architecture: all
Depends:
 python3-os-traits (>= 0.15.0),
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Watcher plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Watcher plugin.

## watcher-tempest-plugin 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
watcher-tempest-plugin (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:45:02 +0200

watcher-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-stestr as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:16:39 +0200

watcher-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:02:29 +0200

watcher-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:56:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -15,16 +15,16 @@
  python3-coverage,
  python3-doc8,
  python3-hacking,
- python3-os-traits (>= 0.15.0),
+ python3-os-traits,
  python3-oslo.log,
  python3-oslo.utils,
  python3-oslotest,
- python3-six,
  python3-testtools,
+ python3-stestr,
  subunit,
  tempest,
  testrepository,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/watcher-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/watcher-tempest-plugin.git
 Homepage: https://opendev.org/openstack/watcher-tempest-plugin
@@ -32,11 +32,10 @@
 Package: watcher-tempest-plugin
 Architecture: all
 Depends:
- python3-os-traits (>= 0.15.0),
+ python3-os-traits,
  python3-oslo.log,
  python3-oslo.utils,
  python3-pbr,
- python3-six,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/watcher-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/watcher-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## watcher-tempest-plugin 2.4.0

=== debian/changelog ===
watcher-tempest-plugin (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:42:07 +0200

watcher-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 17:22:07 +0100

## watcher-tempest-plugin 2.5.0

=== debian/changelog ===
watcher-tempest-plugin (2.5.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-zed.infomaniak.ch>  Sat, 24 Sep 2022 15:02:25 +0000

watcher-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:00:45 +0200

watcher-tempest-plugin (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-webtest as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 16:22:42 +0200

## watcher-tempest-plugin 2.6.0

=== debian/changelog ===
watcher-tempest-plugin (2.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046999).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 09:29:25 +0200

watcher-tempest-plugin (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add fix-test-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:11:05 +0200

watcher-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 11:06:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## watcher-tempest-plugin 3.0.0

=== debian/changelog ===
watcher-tempest-plugin (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 21:01:34 +0200

watcher-tempest-plugin (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix-test-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 16:59:49 +0200

## watcher-tempest-plugin 3.1.0

=== debian/changelog ===
watcher-tempest-plugin (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:53:52 +0200

## watcher-tempest-plugin 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=3.1.1 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 tempest>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
watcher-tempest-plugin (3.2.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090708).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 13:59:40 +0100

watcher-tempest-plugin (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:51:45 +0200

## watcher-tempest-plugin 3.3.0

=== debian/changelog ===
watcher-tempest-plugin (3.3.0-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Mon, 03 Mar 2025 14:26:37 +0000

watcher-tempest-plugin (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:23:45 +0100

## watcher-tempest-plugin 3.4.0

=== debian/changelog ===
watcher-tempest-plugin (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:48:23 +0100

watcher-tempest-plugin (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Mar 2025 09:41:22 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-oslotest,
  python3-testtools,
  python3-stestr,
+ python3-webtest,
  subunit,
  tempest,
  testrepository,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/watcher-tempest-plugin refs/tags/(\d[brc\d\.]+)

## watcher-tempest-plugin 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,5 @@
 pbr>=3.1.1 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-tempest>=17.1.0 # Apache-2.0
+tempest>=27.0.0 # Apache-2.0
 os-traits>=0.15.0 # Apache-2.0

=== debian/changelog ===
watcher-tempest-plugin (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:44:57 +0200

watcher-tempest-plugin (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-debtcollector as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:21:06 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-coverage,
+ python3-debtcollector,
  python3-doc8,
  python3-hacking,
  python3-os-traits,
@@ -33,6 +34,7 @@
 Package: watcher-tempest-plugin
 Architecture: all
 Depends:
+ python3-debtcollector,
  python3-os-traits,
  python3-oslo.log,
  python3-oslo.utils,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## watcher-tempest-plugin 3.6.0

=== debian/changelog ===
watcher-tempest-plugin (3.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 14:58:57 +0100

watcher-tempest-plugin (3.5.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046999).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:05:51 +0100
